------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
-- 设置摄像机指向位置(网格坐标)
local hero = CppScriptMgr:QueryHero()
local heroname = hero:GetName()
local heroSex = hero:GetSex()
local herolook = "NPCBust_npc356961"
if heroSex == 2 then
	herolook = "NPCBust_npc356962"
end
CppScriptMgr:NpcCallOut("    Twisted City is magnificent!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, herolook, 150, 430, heroname, 250, 655)

CppScriptMgr:SetViewScale(50)
for i = 1,90 do 
	local nPox = 220-i
	CppScriptMgr:SetViewPosByCell(nPox, 165)
	-- if i > 60 then 
		-- CppScriptMgr:SetViewPosByCell(198-i, 177-i)
	-- end 
	CppScriptMgr:WaitMilSec(50)
	
end 
CppScriptMgr:SetViewScale(256)

-- CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:SetViewPosByCell(251, 196)

local player5  = CppScriptMgr:AddSimplePlayer(22286, 250,198, "TwistedCityWatcher")
local player6  = CppScriptMgr:AddSimplePlayer(22286, 250,194, "TwistedCityWatcher")
CppScriptMgr:WaitMilSec(1000)

player5:Say("Mo Lian said he found the inheritor of Twisted Note.", 2000)
CppScriptMgr:WaitMilSec(1000)

player6:Say("So fast! Something is going to happen.", 2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)


CppScriptMgr:SetViewPosByCell(211, 182)

local player  = CppScriptMgr:AddSimplePlayer(22305, 212,178, "MoLi")
local player1  = CppScriptMgr:AddSimplePlayer(22310, 213,175, "MoShin")

local player7  = CppScriptMgr:AddSimplePlayer(22336, 214,189, "Chocho")
local player8  = CppScriptMgr:AddSimplePlayer(22336, 212,189, "Beanie")
-- player7:SetDir(3)
-- player8:SetDir(7)


player:SetRWeapon(500169,0,1)
player:SetDir(5)
player1:SetRWeapon(500169,0,1)
player1:SetDir(0)
CppScriptMgr:WaitMilSec(1000)
player:Say("Have you heard of it? Mo Lian has found the inheritor of Twisted Note.", 2000)
CppScriptMgr:WaitMilSec(1000)

player1:Say("I wonder what kind of person that is.", 2000)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(176, 176)

local player3  = CppScriptMgr:AddSimplePlayer(1063675, 171,180, "YoungCastellan")
local player4  = CppScriptMgr:AddSimplePlayer(24016, 172,177, "MoChu")
player3:SetDir(5)
player3:SetRWeapon(500169,0,1)
player4:SetRWeapon(500169,0,1)
player3:SetZoomPercent(120)
player4:SetZoomPercent(150)

local player10  = CppScriptMgr:AddSimplePlayer(1063686, 183,187, "MoismDisciple")
local player11  = CppScriptMgr:AddSimplePlayer(1063686, 179,188, "MoismDisciple")
local player12  = CppScriptMgr:AddSimplePlayer(1063686, 174,186, "MoismDisciple")
local player13  = CppScriptMgr:AddSimplePlayer(1063686, 186,185, "MoismDisciple")

local player16  = CppScriptMgr:AddSimplePlayer(1063686, 175,171, "MoismDisciple")
local player17  = CppScriptMgr:AddSimplePlayer(1063686, 179,171, "MoismDisciple")
local player18  = CppScriptMgr:AddSimplePlayer(1063686, 182,171, "MoismDisciple")
local player19  = CppScriptMgr:AddSimplePlayer(1063686, 185,172, "MoismDisciple")

player10:SetDir(3)
player11:SetDir(3)
player12:SetDir(4)
player13:SetDir(3)

player16:SetDir(0)
player17:SetDir(0)
player18:SetDir(1)
player19:SetDir(1)

CppScriptMgr:WaitMilSec(1000)
player4:Say("I believe he/she won`t let us down.", 2000)
CppScriptMgr:WaitMilSec(1000)

player3:Say("He/she must beprominent.", 2000)
CppScriptMgr:WaitMilSec(1000)
player4:Say("Hope so. He is our hope.", 2000)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1000)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
